	import * as THREE from 'three';

	// scw
	export function scw(length=2200) {
		const SCWSR = new THREE.Object3D();
		const dmaterial = new THREE.MeshLambertMaterial({color: 0xf0f0f0});
		const dmaterial2 = new THREE.MeshLambertMaterial({color: 0xffffff});
		const d1geometry = new THREE.CylinderGeometry(700, 700, length, 35);
		const d1mesh = new THREE.Mesh(d1geometry, dmaterial);
		SCWSR.add(d1mesh);				
		SCWSR.rotateX(Math.PI * 0.5);
		SCWSR.rotatedX = true;	

		// left
		const lrgeometry = new THREE.CylinderGeometry(750, 750, 100, 65);
		const d2mesh = new THREE.Mesh(lrgeometry, dmaterial);
		d2mesh.position.set(0, -length/2-50, 0);
		SCWSR.add(d2mesh);
		
		// left center
		const lrgeometry2 = new THREE.CylinderGeometry(750, 750, 70, 65);
		const d2meshc = new THREE.Mesh(lrgeometry2, dmaterial);
		d2meshc.position.set(0, -length/2+800, 0);
		SCWSR.add(d2meshc);		

		// right
		const d3mesh = new THREE.Mesh(lrgeometry, dmaterial);
		d3mesh.position.set(0, length/2+50, 0);
		SCWSR.add(d3mesh);
		
		// right center
		const lrgeometry3 = new THREE.CylinderGeometry(750, 750, 70, 65);
		const d3meshc = new THREE.Mesh(lrgeometry3, dmaterial);
		d3meshc.position.set(0, -length/2+1400, 0);
		SCWSR.add(d3meshc);				

		// up1
		const udgeometry = new THREE.CylinderGeometry(200, 200, 300, 25);
		const d4mesh = new THREE.Mesh(udgeometry, dmaterial);
		d4mesh.rotateX(Math.PI * 0.5);
		d4mesh.rotateY(Math.PI * 1);
		d4mesh.rotateZ(Math.PI * 1);
		d4mesh.position.set(0, -600 , -770);		
		SCWSR.add(d4mesh);

		// up2
		const udgeometry2 = new THREE.CylinderGeometry(200, 200, 300, 25);
		const d5mesh = new THREE.Mesh(udgeometry2, dmaterial);
		d5mesh.rotateX(Math.PI * 0.5);
		d5mesh.rotateY(Math.PI * 1);
		d5mesh.rotateZ(Math.PI * 1);
		d5mesh.position.set(0, 0 , -730);		
		SCWSR.add(d5mesh);



		//up3
		const udgeometry2g = new THREE.CylinderGeometry(200, 200, 300, 25);
		const d6mesh = new THREE.Mesh(udgeometry2g, dmaterial);
		d6mesh.rotateX(Math.PI * 0.5);
		d6mesh.rotateY(Math.PI * 1);
		d6mesh.rotateZ(Math.PI * 1);
		d6mesh.position.set(0, 600 , -730);		
		SCWSR.add(d6mesh);	
		
		//cubo1
		const cube1 = new THREE.BoxGeometry(150, 150, 150);
		const d7mesh = new THREE.Mesh(cube1, dmaterial2);
		d7mesh.position.set(-610, 0 , -200);
		SCWSR.add(d7mesh);	
		
			
		// up1b
		const udgeometryb = new THREE.CylinderGeometry(250, 250, 100, 25);
		const d9mesh = new THREE.Mesh(udgeometryb, dmaterial);
		d9mesh.rotateX(Math.PI * 0.5);
		d9mesh.rotateY(Math.PI * 1);
		d9mesh.rotateZ(Math.PI * 1);
		d9mesh.position.set(0, -600 , -900);		
		SCWSR.add(d9mesh);	
		
		// up1c
		const udgeometryc = new THREE.CylinderGeometry(200, 200, 300, 25);
		const d10mesh = new THREE.Mesh(udgeometryc, dmaterial);
		d10mesh.rotateX(Math.PI * 0.5);
		d10mesh.rotateY(Math.PI * 1);
		d10mesh.rotateZ(Math.PI * 1);
		d10mesh.position.set(0, -600 , -1100);		
		SCWSR.add(d10mesh);	
		
		// up1d
		const udgeometrye = new THREE.CylinderGeometry(250, 250, 100, 25);
		const d11mesh = new THREE.Mesh(udgeometryb, dmaterial);
		d11mesh.rotateX(Math.PI * 0.5);
		d11mesh.rotateY(Math.PI * 1);
		d11mesh.rotateZ(Math.PI * 1);
		d11mesh.position.set(0, -600 , -1300);		
		SCWSR.add(d11mesh);	
		
		// up2b
		const d12mesh = new THREE.Mesh(udgeometryb, dmaterial);
		d12mesh.rotateX(Math.PI * 0.5);
		d12mesh.rotateY(Math.PI * 1);
		d12mesh.rotateZ(Math.PI * 1);
		d12mesh.position.set(0, 0 , -900);		
		SCWSR.add(d12mesh);			
		
		// up2c
		const d13mesh = new THREE.Mesh(udgeometryc, dmaterial);
		d13mesh.rotateX(Math.PI * 0.5);
		d13mesh.rotateY(Math.PI * 1);
		d13mesh.rotateZ(Math.PI * 1);
		d13mesh.position.set(0, 0 , -900);		
		SCWSR.add(d13mesh);			

		// up2d
		const d14mesh = new THREE.Mesh(udgeometryb, dmaterial);
		d14mesh.rotateX(Math.PI * 0.5);
		d14mesh.rotateY(Math.PI * 1);
		d14mesh.rotateZ(Math.PI * 1);
		d14mesh.position.set(0, 0 , -1090);		
		SCWSR.add(d14mesh);	
		
		// up3b
		const d15mesh = new THREE.Mesh(udgeometryb, dmaterial);
		d15mesh.rotateX(Math.PI * 0.5);
		d15mesh.rotateY(Math.PI * 1);
		d15mesh.rotateZ(Math.PI * 1);
		d15mesh.position.set(0, 600 , -900);		
		SCWSR.add(d15mesh);	
		
		// up3c
		const d16mesh = new THREE.Mesh(udgeometryc, dmaterial);
		d16mesh.rotateX(Math.PI * 0.5);
		d16mesh.rotateY(Math.PI * 1);
		d16mesh.rotateZ(Math.PI * 1);
		d16mesh.position.set(0, 600 , -1100);		
		SCWSR.add(d16mesh);		
		
		// up3d
		const d17mesh = new THREE.Mesh(udgeometryb, dmaterial);
		d17mesh.rotateX(Math.PI * 0.5);
		d17mesh.rotateY(Math.PI * 1);
		d17mesh.rotateZ(Math.PI * 1);
		d17mesh.position.set(0, 600 , -1300);		
		SCWSR.add(d17mesh);			
		
		return SCWSR;
	}
